Application: gvSIG desktop - gvSIG bugs #4393

Falla exportar a PDF un mapa con una vista con una capa con leyenda de valores unicos

10/10/2016 08:02 AM - Francisco Diaz Carsi

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category: Symbology

Target version: 2.3.1-2500 (rev. org.gvsig.desktop-2.0.15%)

Severity: Minor Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Pasos para reproducirlo:

1. Crear una vista con una capa con una leyenda de valores Unicos
2. Hacer zoom a una parte de dicha capa

3. Crear un mapa insertando la vista

4. Exportar a PDF.

Salta un error, adjunto log.

Associated revisions

Revision 43003 - 10/10/2016 08:31 AM - Francisco Diaz Carsi

refs #4393

- Fixed method print in AbstractVectorialLegend to add required feature attribute names to the query even when it is not null.

- Fixed method getSymbolByFeature in VectorialUniqueValueLegend to do not fail when classifying field not exists in the feature.

History

#1 - 10/10/2016 08:32 AM - Francisco Diaz Carsi
- Status changed from New to Fixed

#2 - 10/16/2016 10:59 AM - Joaquin del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.3.1-2500 (rev. org.gvsig.desktop-2.0.155)

#3 - 10/20/2016 05:23 PM - Alvaro Anguix
- Status changed from Fixed to Closed
